<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
      const cars = ["bmw", "tesla"];
      console.log(cars);
       console.log(cars.length);

       function Animal(name) {
         this.name = name;
       }

      function Cat(name) {
        this.name = name;
         this.mur = function() {
           console.log('mur')
         }
      }

      function Dog(name) {
        this.name = name;
        this.bark = function() {
           console.log('bark')
         }
      }
      // Array;

      //   function Car() {}
      //   const cars = new Array("bmw", "tesla");

      // console.log(cars.length);
      // console.log(cars);

      // Array.prototype.log = function () {
      //   console.log(1);
      // };

      // console.log(cars.log());

      //   function SilverBreeze() {
      //     checkPass() {
      //         console.log(2);
      //     }
      //   }

      function Person(firstName, lastName) {
        this.firstName = firstName;
        this.lastName = lastName;
  } 
const Ira = new Person('Ira', 'Sto');

console.log(Ira.prototype);
    </script>
  </body>
</html>
